org.eclipse.wst.jsdt.debug.core.jsdi.request

## Interface ThreadExitRequest

All Superinterfaces:
  EventRequest, Mirror

    public interface ThreadExitRequest
    extends EventRequest

Description of a JSDI request to exit a thread.
A thread exit request can be filtered by:

- A `ThreadReference`

Since:
  1.0
See Also:
  `EventRequest`, `ThreadReference`
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addThreadFilter(ThreadReference thread)` Adds the given `ThreadReference` as a filter to the request.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.request.EventRequest

`isEnabled, setEnabled`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Mirror

`virtualMachine`

### Method Detail

#### addThreadFilter

    void addThreadFilter(ThreadReference thread)

Adds the given `ThreadReference` as a filter to the request. The `ThreadReference` is used to prune matching locations for the request.

Parameters:
  `thread` - a `ThreadReference` to add as a filter, `null` is not accepted